summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-games/flatzebra
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-games/flatzebra')
-rw-r--r--dev-games/flatzebra/Manifest1
-rw-r--r--dev-games/flatzebra/flatzebra-0.1.6.ebuild36
-rw-r--r--dev-games/flatzebra/metadata.xml5
3 files changed, 42 insertions, 0 deletions
diff --git a/dev-games/flatzebra/Manifest b/dev-games/flatzebra/Manifest
new file mode 100644
index 00000000000..cc00ffe0ec0
--- /dev/null
+++ b/dev-games/flatzebra/Manifest
@@ -0,0 +1 @@
+DIST flatzebra-0.1.6.tar.gz 359098 SHA256 4e7bb0a77136ec3b81e0f73c1d08e828d38ef011095d5ce7068a94f3bb21d67a SHA512 500df95ee23bd2decf1e11be76725733d9219ef06a844f2de337fc11494eeea57e5ab6298cb4235c394216dd75bfb64a4e9f732362ca5ee95c43086b2ca38f75 WHIRLPOOL 96d058b434c08e69a05d9ee1576629361134e9edda32e15ffa80c640aa03675360a03838f1f339b77f50b3c2e423a28bbe7fa19925568da377dd42016f4c4e62
diff --git a/dev-games/flatzebra/flatzebra-0.1.6.ebuild b/dev-games/flatzebra/flatzebra-0.1.6.ebuild
new file mode 100644
index 00000000000..a4e786765c1
--- /dev/null
+++ b/dev-games/flatzebra/flatzebra-0.1.6.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils
+
+DESCRIPTION="A generic game engine for 2D double-buffering animation"
+HOMEPAGE="http://perso.b2b2c.ca/sarrazip/dev"
+SRC_URI="http://perso.b2b2c.ca/sarrazip/dev/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ppc x86 ~x86-fbsd"
+IUSE="static-libs"
+
+RDEPEND="media-libs/libsdl[video]
+ media-libs/sdl-image
+ media-libs/sdl-mixer"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+src_prepare() {
+ sed -i \
+ -e '/^doc_DATA =/s/^/NOTHANKS/' \
+ Makefile.in || die
+}
+
+src_configure() {
+ econf $(use_enable static-libs static)
+}
+
+src_install() {
+ default
+ use static-libs || prune_libtool_files
+}
diff --git a/dev-games/flatzebra/metadata.xml b/dev-games/flatzebra/metadata.xml
new file mode 100644
index 00000000000..d3c2cc926f0
--- /dev/null
+++ b/dev-games/flatzebra/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>games</herd>
+</pkgmetadata>